package de.intevation.flys.artifacts.states;

import java.util.Calendar;
import java.util.List;

import org.apache.log4j.Logger;

import org.hibernate.Session;
import org.hibernate.SQLQuery;
import org.hibernate.type.StandardBasicTypes;

import de.intevation.flys.model.Gauge;
import de.intevation.flys.backend.SessionHolder;

import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.utils.FLYSUtils;


/**
 * Get me a double startpoint.
 */
public class EnterLocationState extends InputDoubleState {

    private static final Logger logger =
        Logger.getLogger(EnterLocationState.class);


    @Override
    protected String getUIProvider() {
        return "location_panel";
    }


    @Override
    protected Object getLower(FLYSArtifact flys) {
        double[] lowerUpper = FLYSUtils.getRiverMinMax(flys);

        return lowerUpper != null
            ? lowerUpper[0]
            : 0;
    }


    @Override
    protected Object getUpper(FLYSArtifact flys) {
        double[] lowerUpper = FLYSUtils.getRiverMinMax(flys);

        return lowerUpper != null
            ? lowerUpper[1]
            : 0;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
